#!/usr/bin/env python3

from simple_lad_converter import SimpleLadConverter

converter = SimpleLadConverter()
print("Iniciando conversión...")

try:
    converter.parse_file(".example/INPUT.EXP")
    print(f"Redes encontradas: {len(converter.networks)}")
    
    structured_code = converter.save_to_file("output_simple.txt")
    print("Conversión completada!")
    
    # Mostrar primeras líneas
    lines = structured_code.split('\n')
    for i, line in enumerate(lines[:20]):
        print(f"{i+1:2d}: {line}")
        
except Exception as e:
    print(f"Error: {e}")
    import traceback
    traceback.print_exc() 